{
  "name": "@jupyterlab/services",
  "version": "7.0.11",
  "description": "Client APIs for the Jupyter services REST APIs",
  "keywords": [
    "jupyter",
    "notebook",
    "services"
  ],
  "homepage": "https://github.com/jupyterlab/jupyterlab",
  "bugs": {
    "url": "https://github.com/jupyterlab/jupyterlab/issues"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/jupyterlab/jupyterlab"
  },
  "license": "BSD-3-Clause",
  "author": "Project Jupyter",
  "main": "lib/index.js",
  "browser": {
    "ws": "./lib/shim/ws.js"
  },
  "typings": "lib/index.d.ts",
  "files": [
    "lib/**/*.js",
    "lib/*.js.map",
    "lib/**/*.d.ts",
    "lib/**/*.js.map",
    "lib/*.js",
    "lib/*.d.ts",
    "dist/*.js",
    "dist/**/*.js",
    "src/**/*.{ts,tsx}"
  ],
  "scripts": {
    "build": "tsc -b",
    "build:all": "npm run build && webpack",
    "build:test": "tsc --build tsconfig.test.json",
    "clean": "rimraf lib && rimraf tsconfig.tsbuildinfo",
    "docs": "typedoc src",
    "test": "jest -i",
    "test:cov": "jest -i --collect-coverage",
    "test:debug": "node --inspect-brk ../../node_modules/.bin/jest --runInBand",
    "test:debug:watch": "node --inspect-brk ../../node_modules/.bin/jest --runInBand --watch",
    "watch": "tsc -b --watch"
  },
  "dependencies": {
    "@jupyter/ydoc": "^1.1.1",
    "@jupyterlab/coreutils": "^6.0.11",
    "@jupyterlab/nbformat": "^4.0.11",
    "@jupyterlab/settingregistry": "^4.0.11",
    "@jupyterlab/statedb": "^4.0.11",
    "@lumino/coreutils": "^2.1.2",
    "@lumino/disposable": "^2.1.2",
    "@lumino/polling": "^2.1.2",
    "@lumino/properties": "^2.0.1",
    "@lumino/signaling": "^2.1.2",
    "ws": "^8.11.0"
  },
  "devDependencies": {
    "@jupyterlab/testing": "^4.0.11",
    "@types/jest": "^29.2.0",
    "@types/ws": "^8.5.3",
    "jest": "^29.2.0",
    "rimraf": "~3.0.0",
    "typedoc": "~0.24.7",
    "typescript": "~5.0.4",
    "webpack": "^5.76.1",
    "webpack-cli": "^5.0.1"
  },
  "publishConfig": {
    "access": "public"
  }
}
